## Delete multiple key-value pairs `client.KV.Namespaces.BulkDelete(ctx, namespaceID, params) (*NamespaceBulkDeleteResponse, error)` **post** `/accounts/{account_id}/storage/kv/namespaces/{namespace_id}/bulk/delete` Remove multiple KV pairs from the namespace. Body should be an array of up to 10,000 keys to be removed. ### Parameters - `namespaceID string` Namespace identifier tag. - `params NamespaceBulkDeleteParams` - `AccountID param.Field[string]` Path param: Identifier. - `Body param.Field[[]string]` Body param ### Returns - `type NamespaceBulkDeleteResponse struct{…}` - `SuccessfulKeyCount float64` Number of keys successfully updated. - `UnsuccessfulKeys []string` Name of the keys that failed to be fully updated. They should be retried. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/kv" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.KV.Namespaces.BulkDelete( context.TODO(), "0f2ac74b498b48028cb68387c421e279", kv.NamespaceBulkDeleteParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Body: []string{"My-Key"}, }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.SuccessfulKeyCount) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "successful_key_count": 100, "unsuccessful_keys": [ "string" ] } } ```